b32 _InitRenderer(Arena *arena)
{
	ID3D11Device *device;
	ID3D11DeviceContext *ctx;

	D3D_FEATURE_LEVEL levels[] = { D3D_FEATURE_LEVEL_11_0 };
	HRESULT hr = D3D11CreateDevice(NULL, D3D_DRIVER_TYPE_HARDWARE, NULL, 0, levels, Len(levels), D3D11_SDK_VERSION, &device, NULL, &ctx);

	return true;
}

void _DestroyRenderer()
{

}

b32 _BeginFrame()
{
	return true;
}

b32 _DrawTriangle()
{
	return true;
}

b32 _FinishFrame()
{
	return true;
}

void _SetRenderResolution(u32 x, u32 y)
{

}

static void DrawGUI(GUIContext *ctx)
{

}
